Antharas Watchman Theodric:
... The portal stone is the key that you need to use in order to enter the Lair of Antharas. It is given only to those who are selected by seal watchers as slayers of Antharas. If you are truly wanting to confront Antharas, go see Gabrielle who is the leader of the seal watchers and receive an approval to be a slayer of Antharas. Then, I, the earthdragon watcher Theodric will present to you a portal stone.
Return